# tarfile.h File Reference

## Detailed Description

API for reading and writing sequentially from compressed tar files.

Definition in file tarfile.h.

`#include "dll.h"`
`#include <string>`
`#include <stdexcept>`
`#include <libtar.h>`

Include dependency graph for tarfile.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | reuse

## Classes

class | reuse::TarFile
class | reuse::TarFile::TarError